Package Details: betterdiscordctl-git 2.0.0.r0.g57f483a-2

Git Clone URL: https://aur.archlinux.org/betterdiscordctl-git.git (read-only, click to copy)
Package Base: betterdiscordctl-git
Description: A utility for managing BetterDiscord on Linux
Upstream URL: https://github.com/bb010g/betterdiscordctl
Keywords: betterdiscord discord
Licenses: MIT
Conflicts: betterdiscordctl
Provides: betterdiscordctl
Submitter: bb010g
Maintainer: bb010g (ObserverOfTime)
Last Packager: ObserverOfTime
Votes: 16
Popularity: 1.11
First Submitted: 2018-01-12 05:04
Last Updated: 2021-05-24 08:17

Dependencies (2)

Required by (0)

Sources (1)

Latest Comments

bb010g commented on 2021-05-24 02:24

betterdiscordctl's injection problems have been fixed with v2.0.0.

bepvte commented on 2021-05-01 21:12

betterdiscordctl is outdated and not official. Please consider using the official appimage installer (no root, run once and delete, then it auto updates) at https://betterdiscord.app, or the -installer AUR package.

Nikita790 commented on 2021-04-29 01:01

https://aur.archlinux.org/packages/betterdiscord/ doesnt exist

Alec153 commented on 2021-04-03 03:59

Btw this package is outdated use https://aur.archlinux.org/packages/betterdiscord/ instead.

solonovamax commented on 2021-03-26 14:40

Those solutions suck. Use PTB until Discord breaks that too or BBD is fixed.

Honestly, here's the best solution: just switch to powercord lol

It provides many more plugins, seems to be more developer friendly, and has an actual permission system for plugins. It also seems to have a more active development that BetterDiscord.

ObserverOfTime commented on 2021-03-26 07:49

Solutions for 0.0.14 can be found here https://github.com/rauenzi/BetterDiscordApp/issues/598

Those solutions suck. Use PTB until Discord breaks that too or BBD is fixed.

Hanabishi commented on 2021-03-25 17:59

Solutions for 0.0.14 can be found here https://github.com/rauenzi/BetterDiscordApp/issues/598

solonovamax commented on 2021-01-27 20:44

For anyone comming from the latest update and is using canary: BBD is broken with the canary branch of discord for the latest update. See this github issue comment for what happened.

But the TL;DR is that discord canary is now shipping with a custom build of electron which, in this commit here is now forcefully enabling some security options in electron that BBD needs to be turned off to be able to function. (Those options just basically allow it to access variables in places like the main window scope.)

For now, this is only for the canary version of discord. It may soon come to the full release or PTB versions.

katt commented on 2020-07-25 18:39

Realised this PKGBUILD produces the wrong pkgver (1.7.0.r37.g785ad01-1) but it is the same commit as the release of 1.7.0, here's my fixed PKGBUILD:

diff --git a/PKGBUILD b/PKGBUILD
index bcaf50f..9d8529a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,14 +2,13 @@
 # Co-maintainer: ObserverOfTime <chronobserver@disroot.org>

 pkgname=betterdiscordctl-git
-pkgver=1.6.0.r34.g6433a5b
+pkgver=1.7.0.r0.g785ad01
 pkgrel=1
 pkgdesc="A utility for managing BetterDiscord on Linux"
 arch=('any')
 url="https://github.com/bb010g/betterdiscordctl"
 license=('MIT')
 depends=('git')
-makedepends=('git')
 provides=("${pkgname%-git}")
 conflicts=("${pkgname%-git}")
 source=('git+https://github.com/bb010g/betterdiscordctl.git')
@@ -22,9 +21,7 @@ prepare() {

 pkgver() {
   cd "$srcdir/${pkgname%-git}"
-  printf '%s.r%s.g%s' \
-    "$(sed -n 's/^VERSION=//p' "${pkgname%-git}")" \
-    "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+  git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
 }

 package() {